Skip to main content
`Ctrl`+`K`

# EPSCHASEGetDegree

Gets the degree of the Chebyshev polynomial filter used in the ChASE solver.

## Synopsis

    #include "slepceps.h"
    PetscErrorCode EPSCHASEGetDegree(EPS eps,PetscInt *deg,PetscBool *opt)

Not Collective

## Input Parameter

- eps - the linear eigensolver context

## Output Parameters

- deg - initial degree of Chebyshev polynomial filter

- opt - internal optimization of polynomial degree

## See Also

EPS: Eigenvalue Problem Solver, `EPSCHASE`, `EPSCHASESetDegree()`

## Level

advanced

## Location

src/eps/impls/external/chase/chase.c

## Implementations

EPSCHASEGetDegree_ChASE() in src/eps/impls/external/chase/chase.c

Index of all EPS routines Table of Contents for all manual pages Index of all manual pages